<?php

namespace Modules\Report\Exports;

use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\FromCollection;

class DocumentExport implements  FromView, ShouldAutoSize
{
    use Exportable;

    public function records($records) {
        $this->records = $records;

        return $this;
    }

    public function company($company) {
        $this->company = $company;

        return $this;
    }

    public function establishment($establishment) {
        $this->establishment = $establishment;

        return $this;
    }

    public function filters($filters) {
        $this->filters = $filters;

        return $this;
    }

    public function categories($categories) {
        $this->categories = $categories;

        return $this;
    }

    public function categories_services($categories_services) {
        $this->categories_services = $categories_services;

        return $this;
    }

    public function view(): View {
        return view('report::documents.report_excel', [
            'records'=> $this->records,
            'company' => $this->company,
            'establishment'=>$this->establishment,
            'filters'=>$this->filters,
            'categories'=>$this->categories,
            'categories_services'=>$this->categories_services,
        ]);
    }
}
